Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15240

Description

On the new labelling engine, there is the possibility to format numbers by limiting the decimal places and adding a + sign if the number is

positive. However, it only works when choosing directly a field, not after the evaluation of an expression. This is especially an issue for

$length that comes with a very impressive but quite useless precision and makes for unreadable labels by default. It also leads to some

counter-intuitive behavior where choosing an expression like "value" does not give the same result as choosing the field "value".

I join a patch that extends the ability to format number to the expressions.

History

#1 - 2012-06-03 03:53 AM - Giovanni Manghi

- Assignee set to Nathan Woodrow

#2 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2013-05-25 07:23 PM - Nathan Woodrow

- Resolution set to fixed

- Status changed from Open to Closed

There is now a format_number function in master.

#4 - 2013-05-25 08:41 PM - Larry Shaffer

Hi,

Issue should also be fixed with commit:45f374f
